package org.processmining.behavioralpatternmining.parameters;

import org.deckfour.xes.model.XLog;

public class BehavioralPatternParameters {
	
	private XLog discoveryLog;
	private int alignmentMaxNumStatesPerTransition;
	private double supportMinimum;
	private double languageFitMinimum;
	private int depthMax;

	
	public int getDepthMax() {
		return depthMax;
	}

	public void setDepthMax(int depthMax) {
		this.depthMax = depthMax;
	}

	protected boolean isVerbose;
	

	public BehavioralPatternParameters(){
		setAlignmentMaxNumStatesPerTransition(400);		
		setSupportMinimum(0.7);
		setLanguageFitMinimum(0.7);
		setDepthMax(2);
		setVerbose(true);
	}
			
	public double getSupportMinimum() {
		return supportMinimum;
	}
	
	public void setSupportMinimum(double supportMinimum) {
		this.supportMinimum = supportMinimum;
	}
	
	public double getLanguageFitMinimum() {
		return languageFitMinimum;
	}
	
	public void setLanguageFitMinimum(double languageRatioMinimum) {
		this.languageFitMinimum = languageRatioMinimum;
	}
	
	public XLog getDiscoveryLog() {
		return discoveryLog;
	}
	
	public void setDiscoveryLog(XLog discoveryLog) {
		this.discoveryLog = discoveryLog;
	}
	
	public int getAlignmentMaxNumStatesPerTransition() {
		return alignmentMaxNumStatesPerTransition;
	}

	public void setAlignmentMaxNumStatesPerTransition(int alignment_max_num_states) {
		this.alignmentMaxNumStatesPerTransition = alignment_max_num_states;
	}
	
	public boolean isVerbose(){
		return isVerbose;
	}
	
	public void setVerbose(boolean verbose){
		isVerbose = verbose;
	}
}
